# Emmy version 1.0.0
# Emmy.py
# by Antoine Rauzy
# Copyrights (c) 2019 AltaRica Association
#
# This file is part of Emmy, a pedagogical implementation of Markov chains.
# Emmy is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Emmy is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Emmy.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Main

# 1) Imported modules
# -------------------

import string
import sys
import re
import math
import mpmath

sys.path.insert(0, 'src/S2ML')
sys.path.insert(0, 'src/Emmy')

from S2MLCore import *
from EmmyCore import *

# 2) Main
# -------

engine = EmmyEngine()
engine.OpenSession()
engine.SetExecutionStatus(S2MLEngine.ACTIVE)
engine.SetCurrentWorkingDirectory("examples/HIPPS-TA4")
engine.LoadScript("HIPPS-TA4-RBD.emmy")
engine.CloseSession()
