# Emmy version 1.0.0
# EmmyDomainDeclaration.py
# by Antoine Rauzy
# Copyrights (c) 2019 AltaRica Association
#
# This file is part of Emmy, a pedagogical stochastic simulator.
# Emmy is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Emmy is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Emmy.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Creator
# 3) Access methods

# 1) Imported modules
# -------------------

from S2MLCore import *

from EmmyFiniteDegradationStructures import *

from EmmyType import *
from EmmyConstantOrder import *

# 2) Creator
# ----------

class EmmyDomainDeclaration(S2MLDomainDeclaration):
  def __init__(self, identifier, domain, container):
    S2MLDomainDeclaration.__init__(self, identifier, domain, container)
    self._constantOrders = []
    self._fdsDomain = None

# 3) Access methods
# -----------------

  def GetConstantOrders(self):
    return self._constantOrders

  def AppendConstantOrder(self, constant1, constant2):
    self._constantOrders.append(EmmyConstantOrder(constant1, constant2))

  def GetFDSDomain(self):
    return self._fdsDomain

  def SetFDSDomain(self, fdsDomain):
    self._fdsDomain = fdsDomain
