# S2MLCore version 1.0.0
# S2MLIndicatorprofileManager.py
# by Antoine Rauzy
# Copyrights (c) 2018 AltaRica Association
#
# This file is part of S2MLCore.
# S2MLCore is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# S2MLCore is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with S2MLCore.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Indicator Profiles

# 1) Imported modules
# -------------------

from S2MLIndicatorProfile import *

# 2) Indicator Profiles
# ---------------------

class S2MLIndicatorProfileManager:
  def __init__(self):
    self._profiles = dict()

  def GetProfile(self, name):
    return self._profiles.get(name, None)
  def GetFirstProfile(self):
    if self.GetNumberOfProfiles()==0:
      return None
    return self._profiles.values()[0]
  def GetProfiles(self):
    return self._profiles.values()
  def GetProfileNames(self):
    return self._profiles.keys()
  def GetNumberOfProfiles(self):
    return len(self._profiles)

  def NewProfile(self, name):
    profile = S2MLIndicatorProfile(name)
    self._profiles[name] = profile
    return profile
  def CloneProfile(self, profile, name):
    clone = profile.Clone(name)
    self._profiles[name] = clone
    return clone
  def DeleteProfile(self, profile):
    if self.GetProfile(profile.GetName())==None:
      return
    self._profiles.get(profile.GetName())
